Package ru.bitel.bgbilling.kernel.integration.server.bean

# Class RegisterManager

java.lang.Object
ru.bitel.bgbilling.kernel.integration.server.bean.RegisterManager

public class RegisterManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteRegister(int id)`
  `Register`
  `getRegisterById(int id)`
  `List<Register>`
  `getRegisterList(Period period, int limit)`
  `List<Register>`
  `getRegisterList(Period period, int limit, int regType)`
  `void`
  `processRegister(int userId, Register register)`
  `void`
  `updateRegister(Register register)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterManager

    public RegisterManager(Connection con)

- ## Method Details

  - ### getRegisterById

    public Register getRegisterById(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateRegister

    public void updateRegister(Register register) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteRegister

    public void deleteRegister(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRegisterList

    public List<Register> getRegisterList(Period period, int limit) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRegisterList

    public List<Register> getRegisterList(Period period, int limit, int regType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### processRegister

    public void processRegister(int userId, Register register) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`